<?php
/*
Plugin Name:La Strada Loader
Plugin URI: 
Description: Creates an <a href="http://vieleneuigkeiten.de/awip/">AWIP La Strada</a> project by loading plugins, theme and settings.
Author: Simeon Ackermann
Version: 0.13.03.26
Author URI: http://a-simeon.de
*/


//--------------------------------------------------------------------------
//including plugin class
require_once('Class.php');

//plugins admin interface
//require_once('mpi_admin.php');
//admin menu hook
add_action('admin_menu', 'lsl_add_menu');

//add menu page 
function lsl_add_menu() {
	add_menu_page('La Strada Loader Page', 'La Strada Loader', 'administrator','lsloader', 'lsl_appearance', plugins_url( 'images/icon.png' , __FILE__ ), 3);
}

function lsl_appearance(){
	//plugins admin interface
	require_once('appereance.php');
}

//define plugin constants
$mpi_uploadDir = wp_upload_dir();
define('mpiUPLOADDIR_PATH', $mpi_uploadDir['basedir']);
define('mpiPLUGIN_PATH', plugin_dir_path(__FILE__));
define('mpiPLUGIN_URL', plugin_dir_url(__FILE__));

// ADD Styles and Script in head section
add_action('admin_init', 'mpi_backend_scripts');
function mpi_backend_scripts() {
	if(is_admin()){
		if(isset($_REQUEST['page']) && $_REQUEST['page']=="lsloader"){
			wp_enqueue_script ('jquery');
			wp_enqueue_script( 'mpi_admin_script',plugins_url('lsl.js',__FILE__), array('jquery'));
			wp_enqueue_style( 'lsl_admin_style',plugins_url('lsl.css',__FILE__), false, '1.0.0' );
		}
	}
}

// get mpinstaller version
function mpi_get_version(){
	if (!function_exists( 'get_plugins' ) )
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	$plugin_folder = get_plugins( '/' . plugin_basename( dirname( __FILE__ ) ) );
	$plugin_file = basename( ( __FILE__ ) );
	return $plugin_folder[$plugin_file]['Version'];
}

?>